| Home | Libraries | People | FAQ | More

##### url_view_base::has_userinfo

Return true if a userinfo is present.

###### Synopsis

    bool
    has_userinfo() const;

###### Description

This function returns true if this contains a userinfo.

###### Example

    assert( url_view( "http://jane%2Ddoe:pass@example.com" ).has_userinfo() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    userinfo    = user [ ":" [ password ] ]

    authority   = [ userinfo "@" ] host [ ":" port ]

###### Specification

- 3.2.1. User Information (rfc3986)

###### See Also

`has_password`, `encoded_password`, `encoded_user`, `encoded_userinfo`, `password`, `user`, `userinfo`.